org.apache.sysds.runtime.compress.cocode

## Class PlanningCoCoder.Memorizer

- java.lang.Object
- - org.apache.sysds.runtime.compress.cocode.PlanningCoCoder.Memorizer

- Enclosing class:
    PlanningCoCoder

      public static class PlanningCoCoder.Memorizer
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Memorizer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompressedSizeInfoColGroup` | `get(CompressedSizeInfoColGroup g)`
    `CompressedSizeInfoColGroup` | `get(int[] c)`
    `CompressedSizeInfoColGroup` | `getOrCreate(int[] c1, int[] c2, CompressedSizeEstimator est, CompressionSettings cs)`
    `void` | `incst1()`
    `void` | `put(CompressedSizeInfoColGroup g)`
    `void` | `resetStats()`
    `String` | `stats()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Memorizer

          public Memorizer()

  - ### Method Detail

    - #### put

          public void put(CompressedSizeInfoColGroup g)

    - #### get

          public CompressedSizeInfoColGroup get(CompressedSizeInfoColGroup g)

    - #### get

          public CompressedSizeInfoColGroup get(int[] c)

    - #### getOrCreate

          public CompressedSizeInfoColGroup getOrCreate(int[] c1,
                                                        int[] c2,
                                                        CompressedSizeEstimator est,
                                                        CompressionSettings cs)

    - #### incst1

          public void incst1()

    - #### stats

          public String stats()

    - #### resetStats

          public void resetStats()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 The Apache Software Foundation. All rights reserved.